=== debian/changelog ===
sdpa (7.3.20-2) unstable; urgency=medium

  * debian/rules: Add -lquadmath only when available.
    This fixes MUMPS detection on architectures without libquadmath and
    avoids falling back to downloading MUMPS during the build. (Closes: 1124578)

 -- Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>  Sat, 03 Jan 2026 18:00:00 +0900

sdpa (7.3.20-1) unstable; urgency=low
  * New upstream
    + Change MUMPS from 5.7.3 to 5.8.1
    + Drop stale dependency on mumps/build/include/dmumps_root.h
  * Update debian/control and debian/rules (Closes: 1122042)

 -- Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>  Wed, 17 Dec 2025 09:00:00 +0900
